# API get detail withdraw request

* **Purpose**: This is the API used to get detail of withdraw request with requestId provided by merchant.
* **API**:
  * Path: ***v2/col/withdraw-requests/:requestId***
  * Method: ***GET***
  * Request: Content-Type: ***application/json***

### **Request Parameter**

<table><thead><tr><th width="239">Parameter</th><th width="124">Data Type</th><th width="101">Required</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>Y</td><td>The requestId when merchant create withdraw request.</td></tr></tbody></table>

### **Response Data**

| Parameter     | Data Type | Description                                                                                |
| ------------- | --------- | ------------------------------------------------------------------------------------------ |
| code          | Number    | Error code, refer to [table of error codes](/docs/collections/integration/error-codes.md). |
| message       | String    | Error description.                                                                         |
| data          | Object    | Refer to [GetDetailWithdrawRequestResponse](#getdetailwithdrawrequestresponse).            |
| neoResponseId | String    | The ID of NeoX response.                                                                   |

#### GetDetailWithdrawRequestResponse

<table><thead><tr><th width="187.33333333333331">Parameter</th><th width="127">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>merchantCode</td><td>String</td><td>Merchant Code</td></tr><tr><td>requestId</td><td>String</td><td>The requestId when creating withdraw request.</td></tr><tr><td>transId</td><td>String</td><td>ID of withdraw transaction from NeoX.</td></tr><tr><td>amount</td><td>Number</td><td>Amount of withdraw request in VND.</td></tr><tr><td>requestToCurrency</td><td>String</td><td>(Optional) Remitout request currency.</td></tr><tr><td>remitedAmount</td><td>Number</td><td>(Optional) Amount of remitout request in currency.</td></tr><tr><td>fxRate</td><td>Number</td><td>(Optional) Foreign exchange rate for remitout request.</td></tr><tr><td>bankSwiftCode</td><td>String</td><td>Withdraw request to bank swiftcode.</td></tr><tr><td>bankAccountNumber</td><td>String</td><td>Withdraw request to bank account number.</td></tr><tr><td>bankAccountName</td><td>String</td><td>Withdraw request to bank account name.</td></tr><tr><td>bankBranch</td><td>String</td><td>(Optional) Withdraw request to bank branch.</td></tr><tr><td>approvalStatus</td><td>String</td><td>Withdraw/Remitout request status, Include:<br>PENDING: Withdraw request is waiting for approval.<br>APPROVED: Withdraw request was approved.<br>REJECTED: Withdraw request was rejected.</td></tr><tr><td>status</td><td>String</td><td>Withdraw/Remitout transaction status, Include:<br>PROCESSING: Withdraw transaction is being processed.<br>SUCCESS: Withdraw transaction was successful.<br>FAILED: Withdraw request was failed.</td></tr><tr><td>approvalDate</td><td>Datetime String (ISO 8601)</td><td><p>(Optional) Date of approval from NeoX.</p><p>(Will be returned when withdraw request was approved)</p></td></tr><tr><td>collectionTransactions</td><td>Array Object</td><td><p>(Optional) List of Collection transactions envolved to withdraw request.<br>Object data:</p><pre class="language-postman_json"><code class="lang-postman_json">{
  "virtualAccountId": String,
  "reconcileCode": String,
  "transId": String,
  "amount": Number,
  "transDate": String
}
</code></pre></td></tr><tr><td>note</td><td>String</td><td>Note for current withdraw request.</td></tr><tr><td>failedReason</td><td>String</td><td>Return failed reason from banking system if withdraw transaction was failed</td></tr><tr><td>createdAt</td><td>Datetime String (ISO 8601)</td><td>Record created time</td></tr><tr><td>updatedAt</td><td>Datetime String (ISO 8601)</td><td>Record last updated time</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neox.vn/docs/collections/integration/apis-for-withdraw-requests-management/get-detail-withdraw-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
